Summary:	X.org video driver for GLINT/Permedia video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych GLINT/Permedia
Name:		xorg-driver-video-glint
Version:	1.2.9
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-glint-%{version}.tar.bz2
# Source0-md5:	3d166b7a97d96007272ffc153d5f81fd
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-glint < 1:7.0.0
Obsoletes:	XFree86-3DLabs
Obsoletes:	XFree86-driver-glint < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for GLINT/Permedia video chips. It supports 3Dlabs
(GLINT MX, GLINT 500TX, GLINT 300SX, GLINT GAMMA, GLINT DELTA, GLINT
GAMMA2, Permedia, Permedia 2, Permedia 2v, Permedia 3, R3, R4) and
Texas Instruments (Permedia, Permedia 2) chips.

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych GLINT/Permedia.
Obsługuje układy 3Dlabs (GLINT MX, GLINT 500TX, GLINT 300SX, GLINT
GAMMA, GLINT DELTA, GLINT GAMMA2, Permedia, Permedia 2, Permedia 2v,
Permedia 3, R3, R4) oraz Texas Instruments (Permedia, Permedia 2).

%prep
%setup -q -n xf86-video-glint-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README README.pm3
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/glint_drv.so
%{_mandir}/man4/glint.4*
%changelog
* Wed Jul 04 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-video-glint.git;a=log;h=master

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 88dda6b
- release 2 (by relup.sh)

* Thu Jan 19 2017 Jakub Bogusz <qboosh@pld-linux.org> bf2bf49
- updated to 1.2.9
- removed obsolete mibstore,xserver-1.19 patches

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> dec125e
- fix building with xserver 1.19
- rel 10

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> b52d377
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2e9ad81
- release 8 (by relup.sh)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fc6481e
- due to xserver 1.17
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c3c4920
- xserver rebuild
- release 6 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 06a35d7
- xserver rebuild
- release 5 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> a7ff13e
- release 4 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 387c59d
- fix building with xserver 1.14
- rel 3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 934482f
- release 2 (by relup.sh)

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 65bc9c4
- updated to 1.2.8

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 2e4d406
- release 2 (by relup.sh)

* Thu Feb 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 49baaad
- updated to 1.2.7

* Wed Sep 07 2011 Jakub Bogusz <qboosh@pld-linux.org> ed6c269
- updated to 1.2.6; all the remaining DRI/DRM code is gone

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8100e0b
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 4cfacec
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> deeb081
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> d879bdf
- rel up

* Wed Sep 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 2f2d4aa
- updated to 1.2.5

